#!/bin/sh
#######################################
# echononl()
#######################################
# subroutine used to echo without newline
echononl(){
        ECHO_TEST=`echo X\\\\c`
        if [ $ECHO_TEST = "X" ]; then
                echo "$*\\c" 1>&2
        else
            echo -n "$*" 1>&2
        fi
}
tmpfile=/tmp/webtop.config.$$
tmpfileWaapi=/tmp/waapi.config.$$

cleanup () {
	rm -f $tmpfile
	rm -f $tmpfileWaapi
	exit
}
trap cleanup 0 2



#Location of java installation
#JAVA_HOME= ;export JAVA_HOME


if [ -z "$WAAPI_HOME" ]
then 
	if [ -n "$WEBTOP_HOME" ]
	then 
		WAAPI_HOME=$WEBTOP_HOME/waapi
	fi
fi

if [ ! "$WAAPI_HOME" = "" ]; then
clear
#echo "WAAPI_HOME" "$WAAPI_HOME"
promptforhost="false"
promptforport="false"
promptforuser="false"
promptforpasswd="false"

# Check for command line args
if [ ! "$1" = "" ]; then
	host=$1
else
  host=`hostname`
  host=${host:-omnihost}
	promptforhost="true"
fi

if [ ! "$2" = "" ]; then
	webtopport=$2
else
  webtopport=8080
	promptforport="true"
fi


if [ ! "$3" = "" ]; then
	user=$3
else
  user=root
	promptforuser="true"
fi

if [ ! "$4" = "" ]; then
	passwd=$4
else
  passwd=''
	promptforpasswd="true"
fi

	echo ""
  echo "NETCOOL/Webtop WAAPI Tool Configuration"
  echo "---------------------------------------"

if [ "$promptforhost" = "true" ] | [ "$promptforport" = "true" ] | [ "$promptforuser" = "true" ] | [ "$promptforpasswd" = "true" ]; then
  	
  	echo "Please enter the following information"
  	echo "Default values shown can be used by typing <enter>"
  	echo""

	if [ "$promptforhost" = "true" ]; then
  	echononl "Please enter the host for the Webtop server [$host] "
  	read w
  	host=${w:-$host}
	fi

	if [ "$promptforport" = "true" ]; then
  	echononl "Please enter the port for the Webtop server [$webtopport] "
  	read w
  	webtopport=${w:-$webtopport}
	fi

	if [ "$promptforuser" = "true" ]; then
  	echononl "Please enter the name of the Webtop Administrator [$user] "
  	read u
  	user=${u:-$user}
	fi	

	if [ "$promptforpasswd" = "true" ]; then
  	echononl "Please enter the password for the Webtop Administrator $user [$passwd] "
  	read pass
  	passwd=${pass:-$passwd}
	fi
else
	echo "Processing command line arguments ..." 
fi

if [ -f $WAAPI_HOME/config/waapi.init ]
then
  #Edit waapi.init
  echo "Modifying configuration file ..."
	echo "\
  s/waapi.host:.*/waapi.host:$host/g
  s/waapi.port:.*/waapi.port:$webtopport/g
  s/waapi.user:.*/waapi.user:$user/g
  s/waapi.password:.*/waapi.password:$passwd/g
  " > $tmpfileWaapi
  
  sed -f $tmpfileWaapi $WAAPI_HOME/config/waapi.init > $WAAPI_HOME/config/newWaapi.init
  mv $WAAPI_HOME/config/newWaapi.init $WAAPI_HOME/config/waapi.init
fi

  echo ""
#  echo "Done! Webtop Configuration successfully updated."
  echo "Done."

else
  echo "WAAPI_HOME not set";
  exit;
fi

